Bug 1270258 - Arquillian tests fail on java.lang.ClassCastException
Arquillian tests fail on java.lang.ClassCastException
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Quickstarts (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: ER5
: 6.2.0
Assigned To: Petr Široký
Tomas David
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-09 08:24 EDT by Tomas David
Modified: 2015-11-04 08:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
stacktrace (8.66 KB, text/plain)
2015-10-09 08:24 EDT, Tomas David
no flags Details

  None (edit)
Description Tomas David 2015-10-09 08:24:16 EDT
Created attachment 1081323 [details]
stacktrace

Description of problem:
When arquillian quickstarts tests are executed, tests fail on java.lang.ClassCastException. See stacktrace in attachment.

Failing tests: 
HouseFireTest.java in stateful-ksession quickstart
TransactionsTest.java in helloworld-cep quickstart

Version-Release number of selected component (if applicable):
BRMS 6.2.0.ER3.

How reproducible:
-

Steps to Reproduce:
1. Execute one of the mentioned tests. (mvn clean install test -Parq-jbossas-remote)

Actual results:
Tests failed with java.lang.ClassCastException.

Expected results:
Tests pass.

Additional info:
It looks like it is similar to this problem: https://bugzilla.redhat.com/show_bug.cgi?format=multiple&id=1193473.
Comment 1 Petr Široký 2015-10-13 06:41:02 EDT
Fixed on 6.2.x branch (correct branch for Quickstarts):
https://github.com/jboss-developer/jboss-brms-quickstarts/commit/32306d6a1a484
Comment 2 Tomas David 2015-10-15 04:43:15 EDT
The fix is not included in ER4.
Comment 3 Lukáš Petrovický 2015-10-15 06:43:04 EDT
Moving to MODIFIED, since the fix is already committed.
Comment 4 Tomas David 2015-11-04 08:10:19 EST
Verified on 6.2.0.ER5.

Note You need to log in before you can comment on or make changes to this bug.